import type { Message } from "@canvas-js/interfaces";
import type { Signature } from "@canvas-js/signed-cid";
export declare function decodeSignedMessage(topic: string, value: Uint8Array): [id: string, signature: Signature | null, message: Message];
export declare function encodeSignedMessage(signature: Signature | null, { clock, parents, payload }: Message): [key: Uint8Array, value: Uint8Array];
export declare function getClock(parents: Uint8Array[] | null): number;
export declare const KEY_LENGTH = 20;
export declare const encodeId: (id: string) => Uint8Array;
export declare const decodeId: (key: Uint8Array) => string;
